## INTRODUCTION
The Feeds Tamper Server Files module provides a Feeds Tamper plugin that allows importing files from server paths during feed imports.

## REQUIREMENTS
* Drupal 9.3 or higher
* Feeds module (https://drupal.org/project/feeds)
* Feeds Tamper module (https://drupal.org/project/feeds_tamper)

## INSTALLATION
1. Install as you would normally install a contributed Drupal module.
2. Visit https://www.drupal.org/node/1897420 for further information.

## CONFIGURATION
1. Go to Administration » Structure » Feeds » [Your Feed] » Tampers
2. In the mapping of the field, ensure to setup: Image (field_my_image): File ID ->  Reference by: File ID 
3. Add the "Server File Path to File Entity" plugin to your file field
4. Configure the plugin settings:
   * Source directory
   * Destination directory
   * Allowed extensions
   * File handling options

## USAGE
Example CSV format, use only filenames, the path must be configured in the corresponding tamper field settings:

```csv
title,file_path
Document 1,file1.pdf
Document 2,file2.jpg
```

## MAINTAINERS
Current maintainers:
* Your Name - https://www.drupal.org/u/asanchez75

## SUPPORT
For bug reports and feature requests, please use the Drupal.org issue queue:
https://www.drupal.org/project/issues/feeds_tamper_server_files

## Sponsor

Landportal - https://landportal.org

